public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/io-event/
Date: Sun, 27 Aug 2023 06:11:09 +0000 (UTC)	[thread overview]
Message-ID: <1693116664.c10d9a3ff41821386d6703405cc1055ca6a84e7c.graaff@gentoo> (raw)

commit:     c10d9a3ff41821386d6703405cc1055ca6a84e7c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 05:49:37 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Aug 27 06:11:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c10d9a3f

dev-ruby/io-event: add 1.3.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/io-event/Manifest              |  1 +
 dev-ruby/io-event/io-event-1.3.2.ebuild | 36 +++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ruby/io-event/Manifest b/dev-ruby/io-event/Manifest
index 97729910d88d..abb21ab61350 100644
--- a/dev-ruby/io-event/Manifest
+++ b/dev-ruby/io-event/Manifest
@@ -1,3 +1,4 @@
 DIST io-event-1.1.6.tar.gz 34530 BLAKE2B 3b0e6e5ca781b61467daeb885ea22de639c2f3c68f96657c99e8257f0cb0028f8997e6aa0ab5c53b56e53a944c40944e701d57160faeb4273a5bc77ceb4c2dfc SHA512 65cc9a9de7037059a119f1ca6569414baacab234ac4e6ee91ac5c780ed789510d8691111890dbe19082867c5adbd50cc9a86e28b37460b8fb01ff53abde8d417
 DIST io-event-1.1.7.tar.gz 35211 BLAKE2B d288ec902c4d775b49315d4eeda8bb0582b7444e7adc60846283fbffbe8ecec6e13c1bc7ce898c4aaf3e78d5eeee2602045f9bde561f6f50c797b7aecb3d7b01 SHA512 f61d0eb7203b4bd4b38d1f42a23c67d4ae04dbbb4c7018149d52db440d769131581347198f4a6da6e99aaa1ac526ad1c1cb9d56ecf48c1fc70fbf1b62fb161e7
 DIST io-event-1.2.2.tar.gz 35405 BLAKE2B 9fb96c920524db8111b8d3650f2559df71e262f2f4cd32080a3e04f09da5df3d0f0a6777b1d37aba7848b9f7298d9fe5c5684c3211ff39b5178d452d10dede70 SHA512 6ebffd24eb40392496f488ee578f17fcc2e713d3b90cea20899c82e26a6d601b0670d21383d5e33345cad9a33ae43120e8c1d017bb7bd44ff95be2c17bab6712
+DIST io-event-1.3.2.tar.gz 45587 BLAKE2B b4a6e03d6470e0e1fd214e8d4ec9c34b44590b949dd3c2206ace0d963a7eb5f0164d4ddddbe7524e3e050869e45fdccce391174342b6185e2a8c29aaa9e8c1fb SHA512 532dcaf2fb658f4770cc99a486adf1c2d853260c9f4b9bc9d411dc1a84f439881b96ba365523c7566f8a87cfb44a375642a92f327c9ea95803183dd552dabd7a

diff --git a/dev-ruby/io-event/io-event-1.3.2.ebuild b/dev-ruby/io-event/io-event-1.3.2.ebuild
new file mode 100644
index 000000000000..03298eeac45f
--- /dev/null
+++ b/dev-ruby/io-event/io-event-1.3.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An event loop"
+HOMEPAGE="https://github.com/socketry/io-event"
+SRC_URI="https://github.com/socketry/io-event/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+io-uring"
+
+RDEPEND="io-uring? ( sys-libs/liburing:= )"
+DEPEND="${RDEPEND}"
+
+all_ruby_prepare() {
+	sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+	# Avoid dependency on unpackaged covered package
+	rm -f config/sus.rb || die
+
+	if ! use io-uring ; then
+		sed -i -e "s:have_library('uring'):have_library('idonotexist_uring'):" ext/extconf.rb || die
+	fi
+}


             reply	other threads:[~2023-08-27  6:11 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-27  6:11 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 12:01 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/io-event/ Sam James
2024-10-06 11:21 Sam James
2024-09-13  4:13 Sam James
2024-06-28 12:59 Sam James
2024-06-28  4:31 Hans de Graaff
2024-06-05  5:49 Hans de Graaff
2024-06-02  6:41 Hans de Graaff
2024-03-10 15:19 Hans de Graaff
2024-02-27  6:40 Hans de Graaff
2023-12-29  6:58 Arthur Zamarin
2023-12-29  0:24 Sam James
2023-12-28  6:56 Hans de Graaff
2023-10-24  9:30 Arthur Zamarin
2023-10-24  4:42 Hans de Graaff
2023-09-16  5:30 Hans de Graaff
2023-07-04 20:19 Sam James
2023-05-20  9:21 Sam James
2023-04-09  2:34 Sam James
2023-04-02 23:07 Sam James
2023-04-02 23:07 Sam James
2023-04-02 23:07 Sam James
2023-04-02 23:05 Sam James
2023-04-02 22:49 Sam James
2023-03-19  7:14 Hans de Graaff
2023-03-19  7:14 Hans de Graaff
2023-01-13  8:28 Hans de Graaff
2022-12-11  6:27 Hans de Graaff
2022-12-04  6:54 Hans de Graaff
2022-10-23 10:13 Hans de Graaff
2022-10-23  8:26 Hans de Graaff
2022-10-22 21:33 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693116664.c10d9a3ff41821386d6703405cc1055ca6a84e7c.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox